Bug 1013209 - Crash when trying to remove a package -- [abrt] gnome-software-3.9.3-1.fc20: gs_app_get_name: Process /usr/bin/gnome-software was killed by signal 11 (SIGSEGV)
Crash when trying to remove a package -- [abrt] gnome-software-3.9.3-1.fc20: ...
Status: CLOSED DUPLICATE of bug 1012253
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:0e4e45127996e65c12d8ccf10d6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 06:47 EDT by Björn "besser82" Esser
Modified: 2013-11-12 14:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 16:26:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.88 KB, text/plain)
2013-09-28 06:47 EDT, Björn "besser82" Esser
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-28 06:47 EDT, Björn "besser82" Esser
no flags Details
File: core_backtrace (15.74 KB, text/plain)
2013-09-28 06:47 EDT, Björn "besser82" Esser
no flags Details
File: dso_list (12.25 KB, text/plain)
2013-09-28 06:47 EDT, Björn "besser82" Esser
no flags Details
File: environ (1.51 KB, text/plain)
2013-09-28 06:47 EDT, Björn "besser82" Esser
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-28 06:47 EDT, Björn "besser82" Esser
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-28 06:47 EDT, Björn "besser82" Esser
no flags Details
File: maps (58.95 KB, text/plain)
2013-09-28 06:47 EDT, Björn "besser82" Esser
no flags Details
File: open_fds (892 bytes, text/plain)
2013-09-28 06:47 EDT, Björn "besser82" Esser
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2013-09-28 06:47 EDT, Björn "besser82" Esser
no flags Details
File: var_log_messages (316 bytes, text/plain)
2013-09-28 06:47 EDT, Björn "besser82" Esser
no flags Details

  None (edit)
Description Björn "besser82" Esser 2013-09-28 06:47:09 EDT
Description of problem:
I was removing software using "GNOME Software".  It did some processing, polkit asked for the "admin"-password and GS then crashed before running the yum-transaction.  No packages were removed.

Version-Release number of selected component:
gnome-software-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        gnome-software
crash_function: gs_app_get_name
executable:     /usr/bin/gnome-software
kernel:         3.11.1-300.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gs_app_get_name at gs-app.c:396
 #1 gs_shell_installed_app_remove_cb at gs-shell-installed.c:147
 #2 _g_closure_invoke_va at gclosure.c:840
 #8 gtk_real_button_released at gtkbutton.c:2101
 #13 gtk_button_button_release at gtkbutton.c:1933
 #14 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #15 _g_closure_invoke_va at gclosure.c:840
 #18 gtk_widget_event_internal at gtkwidget.c:7154
 #19 gtk_widget_event at gtkwidget.c:6816
 #20 propagate_event_up at gtkmain.c:2393
Comment 1 Björn "besser82" Esser 2013-09-28 06:47:13 EDT
Created attachment 804376 [details]
File: backtrace
Comment 2 Björn "besser82" Esser 2013-09-28 06:47:16 EDT
Created attachment 804377 [details]
File: cgroup
Comment 3 Björn "besser82" Esser 2013-09-28 06:47:20 EDT
Created attachment 804378 [details]
File: core_backtrace
Comment 4 Björn "besser82" Esser 2013-09-28 06:47:23 EDT
Created attachment 804379 [details]
File: dso_list
Comment 5 Björn "besser82" Esser 2013-09-28 06:47:27 EDT
Created attachment 804380 [details]
File: environ
Comment 6 Björn "besser82" Esser 2013-09-28 06:47:30 EDT
Created attachment 804381 [details]
File: exploitable
Comment 7 Björn "besser82" Esser 2013-09-28 06:47:33 EDT
Created attachment 804382 [details]
File: limits
Comment 8 Björn "besser82" Esser 2013-09-28 06:47:37 EDT
Created attachment 804383 [details]
File: maps
Comment 9 Björn "besser82" Esser 2013-09-28 06:47:40 EDT
Created attachment 804384 [details]
File: open_fds
Comment 10 Björn "besser82" Esser 2013-09-28 06:47:43 EDT
Created attachment 804385 [details]
File: proc_pid_status
Comment 11 Björn "besser82" Esser 2013-09-28 06:47:46 EDT
Created attachment 804386 [details]
File: var_log_messages
Comment 12 Björn "besser82" Esser 2013-09-28 06:55:03 EDT
Added to commonbugs, because I could 100% reproduce on different machines / arches and several fresh installations.
Comment 13 Ryan Lerch 2013-10-11 16:26:09 EDT

*** This bug has been marked as a duplicate of bug 1012253 ***
Comment 14 Mike Ruckman 2013-11-12 14:39:33 EST
Removing CommonBugs tag as this is a duplicate of another bug that has been fixed.

Note You need to log in before you can comment on or make changes to this bug.